> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-unsw-v6.advance-uac.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-unsw-v6.advance-uac.com/_mcp/server.

# Get a structure details with specialisation check

GET https://institution/catalogue/structures/{structureId}#getInstitutionCatalogueStructuresStructureid3

Reference: https://docs-unsw-v6.advance-uac.com/unsw-advance-institution-api/institution/catalogue/structure/get-a-structure-details-with-specialisation-check

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /institution/catalogue/structures/{structureId}#getInstitutionCatalogueStructuresStructureid3:
    get:
      operationId: Get a structure details with specialisation check
      summary: Get a structure details with specialisation check
      tags:
        - structure
      parameters:
        - name: structureId
          in: path
          required: true
          schema:
            type: string
        - name: specialisationCode
          in: query
          description: >-
            Optional - Enforce check if the structure ID belongs to the right
            program and year
          required: false
          schema:
            type: string
        - name: specialisationYear
          in: query
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/institution_catalogue_structure_Get a
                  structure details with specialisation check_Response_200
servers:
  - url: https:/
    description: https://{baseurl}
components:
  schemas:
    institution_catalogue_structure_Get a structure details with specialisation check_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        institution_catalogue_structure_Get a structure details with
        specialisation check_Response_200
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "children": [],
  "creditPoints": 12,
  "creditPointsMax": 12,
  "description": "Students must take at least 12 UOC of the following courses.",
  "dynamicRules": null,
  "id": "d98baada-aba6-4556-8ce0-a49de6887d5f",
  "items": [
    {
      "code": "ZZSC5855",
      "id": "f438d880-aab2-4956-a376-de12cff98e7b",
      "itemType": "Course",
      "name": "Multivariate Analysis for Data Scientists",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZEN9444",
      "id": "1f3415c2-eb8b-418f-8f9e-3a5ddd900f22",
      "itemType": "Course",
      "name": "Neural Networks, Deep Learning",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZCA6510",
      "id": "6e64a6f7-465e-4d6b-8b46-ceb755e79468",
      "itemType": "Course",
      "name": "Decision Making in Analytics",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZSC5960",
      "id": "309a59c4-4617-4930-a4cc-d434ce21a40a",
      "itemType": "Course",
      "name": "Bayesian Inference and Computation for Data Scientists",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZEN9313",
      "id": "db8d9f39-8cbc-42be-acac-318dd864bf03",
      "itemType": "Course",
      "name": "Big Data Management",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZBU6507",
      "id": "2ab34c76-070b-4855-ad89-4a8f456cbf99",
      "itemType": "Course",
      "name": "Data Visualisation and Communication",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZBU6505",
      "id": "82ea923c-4e88-43d2-8731-88a469689613",
      "itemType": "Course",
      "name": "Data and Ethics",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZSC5905",
      "id": "78e24ae6-fc5c-4a74-8f87-14dedb55bbcf",
      "itemType": "Course",
      "name": "Statistical Inference for Data Scientists",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZSC5806",
      "id": "3669e78f-3262-4493-abe8-5d425c190bf0",
      "itemType": "Course",
      "name": "Regression Analysis for Data Scientists",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZEN9311",
      "id": "a6f3eaf8-3c0c-4c79-adf6-16868e1cd4fd",
      "itemType": "Course",
      "name": "Database Systems",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZBU5611",
      "id": "b14281aa-4374-4ceb-bb64-9445bc74ed47",
      "itemType": "Course",
      "name": "Strategic Decision Making",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    },
    {
      "code": "ZZSC5836",
      "id": "4fc4f883-9c17-4347-841e-0b1934084a79",
      "itemType": "Course",
      "name": "Data Mining and Machine Learning",
      "resolved": true,
      "uoc": 6,
      "year": 2026
    }
  ],
  "title": "Prescribed Electives"
}
```

**SDK Code**

```python
import requests

url = "https://https/institution/catalogue/structures/cd73973b-defd-43db-82ee-8fa31d809067#getInstitutionCatalogueStructuresStructureid3"

querystring = {"specialisationCode":"IDESA2","specialisationYear":"2026"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://https/institution/catalogue/structures/cd73973b-defd-43db-82ee-8fa31d809067?specialisationCode=IDESA2&specialisationYear=2026#getInstitutionCatalogueStructuresStructureid3';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/institution/catalogue/structures/cd73973b-defd-43db-82ee-8fa31d809067?specialisationCode=IDESA2&specialisationYear=2026#getInstitutionCatalogueStructuresStructureid3"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/institution/catalogue/structures/cd73973b-defd-43db-82ee-8fa31d809067?specialisationCode=IDESA2&specialisationYear=2026#getInstitutionCatalogueStructuresStructureid3")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/institution/catalogue/structures/cd73973b-defd-43db-82ee-8fa31d809067?specialisationCode=IDESA2&specialisationYear=2026#getInstitutionCatalogueStructuresStructureid3")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/institution/catalogue/structures/cd73973b-defd-43db-82ee-8fa31d809067?specialisationCode=IDESA2&specialisationYear=2026#getInstitutionCatalogueStructuresStructureid3', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/institution/catalogue/structures/cd73973b-defd-43db-82ee-8fa31d809067?specialisationCode=IDESA2&specialisationYear=2026#getInstitutionCatalogueStructuresStructureid3");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/institution/catalogue/structures/cd73973b-defd-43db-82ee-8fa31d809067?specialisationCode=IDESA2&specialisationYear=2026#getInstitutionCatalogueStructuresStructureid3")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```